% This function draws Fig. 2
% Uses the file 'Pd_unknown50.mat'
% Seyed Alireza Razavi 11-01-2011
% Ciprian Doru Giurcaneanu 20-11-2012

function draw_fig2
clc
clear all
close all

%Delete the file 'Pd_unknown50.mat' if you want to perform all calculations
if exist('Pd_unknown50.mat')==0,
    pd_uk;
end

load Pd_unknown50.mat
figure
for pfai = 1 : length(xPFA)
    plot(SNR,PD_ODD_min(:,pfai),'k-.',SNR,PD_ODD_max(:,pfai),'k--',SNR,PD_GLRT(:,pfai),'k-');
    hold on
end
grid
xlabel('Energy-to-noise ratio (dB)');
ylabel('Probability of detection P_D');
legend('ODD-MIN','ODD-MAX','GLRT','Location','NorthWest');

fprintf('*************************************************************\n');
fprintf('Theoretical results:\n');
print_results(10, SNR, PD_ODD_min, PD_ODD_max, PD_GLRT);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function print_results(SNR10, SNR, PD_ODD_min, PD_ODD_max, PD_GLRT)

ff = find(SNR==SNR10);
fprintf('ODD-MAX\n');
fprintf('ENR = %3i dB, Pfa = %5.4f, Pd = %3.2f\n', SNR10, 10^(-4), PD_ODD_max(ff,2));
fprintf('GLRT\n');
fprintf('ENR = %3i dB, Pfa = %5.4f, Pd = %3.2f\n', SNR10, 10^(-4), PD_GLRT(ff,2));
fprintf('ODD-MIN\n');
fprintf('ENR = %3i dB, Pfa = %5.4f, Pd = %3.2f\n', SNR10, 10^(-4), PD_ODD_min(ff,2));
fprintf('*************************************************************\n');
fprintf('ODD-MAX\n');
fprintf('ENR = %3i dB, Pfa = %5.4f, Pd = %3.2f\n', SNR10, 0.1819, PD_ODD_max(ff,1));
fprintf('GLRT\n');
fprintf('ENR = %3i dB, Pfa = %5.4f, Pd = %3.2f\n', SNR10, 0.1819, PD_GLRT(ff,1));
fprintf('ODD-MIN\n');
fprintf('ENR = %3i dB, Pfa = %5.4f, Pd = %3.2f\n', SNR10, 0.1819, PD_ODD_min(ff,1));
fprintf('*************************************************************\n');


