% This function draws Fig. 4
% Uses the files 'Pd_unknown50.mat' and 'Pd_known.mat'
% Seyed Alireza Razavi 11-01-2011
% Ciprian Doru Giurcaneanu 20-11-2012

function draw_fig4
clc
clear all
close all

if exist('Pd_known.mat')==0,
    fprintf('The file Pd_known.mat is needed!\n');
    return;
end

%Delete the file 'Pd_unknown50.mat' if you want to perform all calculations
if exist('Pd_unknown50.mat')==0,
    pd_uk;
end

load Pd_unknown50
load Pd_known

figure
% if you want to see the differences for d=6 in the following three lines replace all "2"s with "1"s 
diff_min = PD_ODD_min(:,2)-PD_ODD_min_kn(:,2);
diff_max = PD_ODD_max(:,2)-PD_ODD_max_kn(:,2);
diff_GLRT= PD_GLRT(:,2)-PD_GLRT_kn(:,2);

plot(SNR,diff_min,'k-.',SNR,diff_max,'k--',SNR,diff_GLRT,'k-')
grid
xlabel('Energy-to-noise Ratio (dB)')
ylabel('P_D for unknown \tau minus P_D for known \tau')

