% Given PFA, this function finds a positive x such that
% 1-\int_{(-x*u,x*u)}\bar\phi(\bar t; 0)d\bar t = PFA,
% where u=ones(2,1)
% Note that k=2 (no. of linear param.)
% Input:
% pfa       = prob. of false alarm
% N         = number of samples
% prec      = precision used to approximate pfa
% Seyed Alireza Razavi 11-01-2011

function x = pfa_inv (pfa, N, prec)

C = eye(2);
k = 2;
dof = N-k;

xl = 1; 
xu = 12;
dx = 0.1;
min_d = pfa;

while (min_d/pfa)>prec
xs = [xl:dx:xu];
Pfa_vec = [];
for x = xs
    Pfa_vec = [Pfa_vec;1-mvtcdf(-[x;x],[x;x],C,dof)];
end
[min_d,imin_d]=min(abs(pfa-Pfa_vec));
xl = xs(imin_d)-dx;
xu = xs(imin_d)+dx;
dx=(xu-xl)/100;
end
x = xs(imin_d);
