% This function implements formula in Eq. (25) of the paper.
% Input:
% del1      = \delta_1 (notation in Eq. (25))
% del2      = \delta_2 (notation in Eq. (25))
% A         = A        (notation in Eq. (25))
% maxi      = max. value of index i in Eq. (25)
% maxj      = max. value of index j in Eq. (25)
% Seyed Alireza Razavi 11-01-2011

function P1 = prob_mvt (del1,del2,A,N,maxi,maxj)
del1_2  = del1^2;%2*sqrt(3);
del2_2  = del2^2;%2*sqrt(3);
% A       = sqrt(3);
% N       = 10^6;
% maxi    = 100;
% maxj    = 100;

P1 = 0;
for ii = 0:maxi
    for jj=0:maxj
        q1 = quadgk(@(x)fun_mvt(x, A, N, ii, jj),0,pi/4);
        q2 = 1/beta(ii+0.5,jj+0.5);
        q3 = ((0.5*del1_2)^ii)*exp(-0.5*del1_2)/factorial(ii);
        q4 = ((0.5*del2_2)^jj)*exp(-0.5*del2_2)/factorial(jj);
        P1 = P1 + q1*q2*q3*q4;
    end
end
P1=2*P1;       
        
        
        